Subject: X-Object-Content-Length header

Description

A client may request an object GET or HEAD allowing a compressed response.

In that case the web server may respond with chunked encoding, 

in order to return data as they are compressed,

instead of waiting for the compression to finish.

If so, a Content-Length header is not returned.

This causes problems with presenting the object's info, 

as well as with progress report for object downloads.

I suggest that an additional header 'X-Object-Content-Length' is returned 

that will always report the uncompressed object size in bytes.

This solution will also provide an alternative for bug #1069.

Associated revisions

Revision 8783fca7 - 12/14/2011 05:04 pm - Antony Chazapis

Add apache directive to disable automatic compression.

Refs #1431

Refs #1632

Refs #1764

Revision 8783fca7 - 12/14/2011 05:04 pm - Antony Chazapis 

Add apache directive to disable automatic compression.

Refs #1431

Refs #1632

Refs #1764

History

#1 - 12/14/2011 06:02 pm - Antony Chazapis

- Status changed from New to Closed

- Assignee set to Antony Chazapis

- Target version set to 0.8.2

Automatic content compression has been disabled.

#2 - 02/08/2013 06:59 pm - Vangelis Koukis
- Project changed from Pithos to Synnefo

- Target version deleted (0.8.2)

#3 - 02/08/2013 07:00 pm - Vangelis Koukis

- Category set to Pithos
